A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
le
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Logical operations

## Functions
af_err | af_le (af_array *out, const af_array lhs, const af_array rhs, const bool batch)
| C Interface to perform a less-than-or-equal comparison between corresponding elements of two arrays.
AFAPI array | operator<= (const array &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const bool &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const int &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const unsigned &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const char &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const unsigned char &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const long &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const unsigned long &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const long long &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const unsigned long long &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const double &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const float &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const cfloat &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const cdouble &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const bool &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const int &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const unsigned &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const char &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const unsigned char &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const long &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const unsigned long &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const long long &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const unsigned long long &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const double &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const float &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const cfloat &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const cdouble &rhs)
AFAPI array | operator<= (const short &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const unsigned short &lhs, const array &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const short &rhs)
| Performs an lower or equal operation on two arrays or an array and a value.
AFAPI array | operator<= (const array &lhs, const unsigned short &rhs)

## Detailed Description

Less than or equal to, an elementwise comparison of two arrays.

Check if the elements of one array are less than or equal to those of another array.

## Function Documentation

## ◆ af_le()

af_err af_le | ( | af_array * | out,
|  | const af_array | lhs,
|  | const af_array | rhs,
|  | const bool | batch )

C Interface to perform a less-than-or-equal comparison between corresponding elements of two arrays.

Output type is b8.

Parameters

  [out] | out | 1's where `lhs <= rhs`, else 0's
  [in] | lhs | first input
  [in] | rhs | second input
  [in] | batch | batch mode

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ operator<=() [1/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [2/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const bool & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [3/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const cdouble & | rhs )

## ◆ operator<=() [4/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const cfloat & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [5/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const char & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [6/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const double & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [7/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const float & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [8/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const int & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [9/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const long & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [10/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const long long & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [11/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const short & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [12/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const unsigned & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [13/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const unsigned char & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [14/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const unsigned long & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [15/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const unsigned long long & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [16/31]

AFAPI array operator<= | ( | const array & | lhs,
|  | const unsigned short & | rhs )

## ◆ operator<=() [17/31]

AFAPI array operator<= | ( | const bool & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [18/31]

AFAPI array operator<= | ( | const cdouble & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [19/31]

AFAPI array operator<= | ( | const cfloat & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [20/31]

AFAPI array operator<= | ( | const char & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [21/31]

AFAPI array operator<= | ( | const double & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [22/31]

AFAPI array operator<= | ( | const float & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [23/31]

AFAPI array operator<= | ( | const int & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [24/31]

AFAPI array operator<= | ( | const long & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [25/31]

AFAPI array operator<= | ( | const long long & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [26/31]

AFAPI array operator<= | ( | const short & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [27/31]

AFAPI array operator<= | ( | const unsigned & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [28/31]

AFAPI array operator<= | ( | const unsigned char & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [29/31]

AFAPI array operator<= | ( | const unsigned long & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [30/31]

AFAPI array operator<= | ( | const unsigned long long & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element

## ◆ operator<=() [31/31]

AFAPI array operator<= | ( | const unsigned short & | lhs,
|  | const array & | rhs )

Performs an lower or equal operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the <= operation performed on each element